import AbstractAuthentificateView from "./abstracts/AbstractAuthentifiedView.js";

export default class extends AbstractAuthentificateView {
    constructor(params) {
        super(params, "Home");
        this.redirect_url = "/login"
	}

    async getHtml() {
        return /* HTML */ `
			<h1>HOME</h1>
            <a href="/matchmaking" class="nav__link" data-link>Play a game</a>
            <a href="/games/offline" class="nav__link" data-link>Play offline</a>
            <a href="/me" class="nav__link" data-link>Me</a>
            <a href="/logout" class="nav__link" data-link>Logout</a>
        `;
    }
}
